Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network160.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
160.0.0.0
Broadcast address
163.255.255.255
First usable
160.0.0.1
Last usable
163.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
B (default /16)
As numbers
Hex A0000000 · Integer 2684354560 to 2751463423
Reverse DNS zones
160.in-addr.arpa
161.in-addr.arpa
162.in-addr.arpa
163.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100000.00000000.00000000.00000000160.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network10100000.00000000.00000000.00000000160.0.0.0
Broadcast10100011.11111111.11111111.11111111163.255.255.255
Split into smaller subnets/13

160.0.0.0/6 makes 128 subnets of /13.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1160.0.0.0/13160.0.0.1 to 160.7.255.254160.7.255.255524,286
2160.8.0.0/13160.8.0.1 to 160.15.255.254160.15.255.255524,286
3160.16.0.0/13160.16.0.1 to 160.23.255.254160.23.255.255524,286
4160.24.0.0/13160.24.0.1 to 160.31.255.254160.31.255.255524,286
5160.32.0.0/13160.32.0.1 to 160.39.255.254160.39.255.255524,286
6160.40.0.0/13160.40.0.1 to 160.47.255.254160.47.255.255524,286
7160.48.0.0/13160.48.0.1 to 160.55.255.254160.55.255.255524,286
8160.56.0.0/13160.56.0.1 to 160.63.255.254160.63.255.255524,286
9160.64.0.0/13160.64.0.1 to 160.71.255.254160.71.255.255524,286
10160.72.0.0/13160.72.0.1 to 160.79.255.254160.79.255.255524,286
11160.80.0.0/13160.80.0.1 to 160.87.255.254160.87.255.255524,286
12160.88.0.0/13160.88.0.1 to 160.95.255.254160.95.255.255524,286
13160.96.0.0/13160.96.0.1 to 160.103.255.254160.103.255.255524,286
14160.104.0.0/13160.104.0.1 to 160.111.255.254160.111.255.255524,286
15160.112.0.0/13160.112.0.1 to 160.119.255.254160.119.255.255524,286
16160.120.0.0/13160.120.0.1 to 160.127.255.254160.127.255.255524,286
17160.128.0.0/13160.128.0.1 to 160.135.255.254160.135.255.255524,286
18160.136.0.0/13160.136.0.1 to 160.143.255.254160.143.255.255524,286
19160.144.0.0/13160.144.0.1 to 160.151.255.254160.151.255.255524,286
20160.152.0.0/13160.152.0.1 to 160.159.255.254160.159.255.255524,286
21160.160.0.0/13160.160.0.1 to 160.167.255.254160.167.255.255524,286
22160.168.0.0/13160.168.0.1 to 160.175.255.254160.175.255.255524,286
23160.176.0.0/13160.176.0.1 to 160.183.255.254160.183.255.255524,286
24160.184.0.0/13160.184.0.1 to 160.191.255.254160.191.255.255524,286
25160.192.0.0/13160.192.0.1 to 160.199.255.254160.199.255.255524,286
26160.200.0.0/13160.200.0.1 to 160.207.255.254160.207.255.255524,286
27160.208.0.0/13160.208.0.1 to 160.215.255.254160.215.255.255524,286
28160.216.0.0/13160.216.0.1 to 160.223.255.254160.223.255.255524,286
29160.224.0.0/13160.224.0.1 to 160.231.255.254160.231.255.255524,286
30160.232.0.0/13160.232.0.1 to 160.239.255.254160.239.255.255524,286
31160.240.0.0/13160.240.0.1 to 160.247.255.254160.247.255.255524,286
32160.248.0.0/13160.248.0.1 to 160.255.255.254160.255.255.255524,286
33161.0.0.0/13161.0.0.1 to 161.7.255.254161.7.255.255524,286
34161.8.0.0/13161.8.0.1 to 161.15.255.254161.15.255.255524,286
35161.16.0.0/13161.16.0.1 to 161.23.255.254161.23.255.255524,286
36161.24.0.0/13161.24.0.1 to 161.31.255.254161.31.255.255524,286
37161.32.0.0/13161.32.0.1 to 161.39.255.254161.39.255.255524,286
38161.40.0.0/13161.40.0.1 to 161.47.255.254161.47.255.255524,286
39161.48.0.0/13161.48.0.1 to 161.55.255.254161.55.255.255524,286
40161.56.0.0/13161.56.0.1 to 161.63.255.254161.63.255.255524,286
41161.64.0.0/13161.64.0.1 to 161.71.255.254161.71.255.255524,286
42161.72.0.0/13161.72.0.1 to 161.79.255.254161.79.255.255524,286
43161.80.0.0/13161.80.0.1 to 161.87.255.254161.87.255.255524,286
44161.88.0.0/13161.88.0.1 to 161.95.255.254161.95.255.255524,286
45161.96.0.0/13161.96.0.1 to 161.103.255.254161.103.255.255524,286
46161.104.0.0/13161.104.0.1 to 161.111.255.254161.111.255.255524,286
47161.112.0.0/13161.112.0.1 to 161.119.255.254161.119.255.255524,286
48161.120.0.0/13161.120.0.1 to 161.127.255.254161.127.255.255524,286
49161.128.0.0/13161.128.0.1 to 161.135.255.254161.135.255.255524,286
50161.136.0.0/13161.136.0.1 to 161.143.255.254161.143.255.255524,286
51161.144.0.0/13161.144.0.1 to 161.151.255.254161.151.255.255524,286
52161.152.0.0/13161.152.0.1 to 161.159.255.254161.159.255.255524,286
53161.160.0.0/13161.160.0.1 to 161.167.255.254161.167.255.255524,286
54161.168.0.0/13161.168.0.1 to 161.175.255.254161.175.255.255524,286
55161.176.0.0/13161.176.0.1 to 161.183.255.254161.183.255.255524,286
56161.184.0.0/13161.184.0.1 to 161.191.255.254161.191.255.255524,286
57161.192.0.0/13161.192.0.1 to 161.199.255.254161.199.255.255524,286
58161.200.0.0/13161.200.0.1 to 161.207.255.254161.207.255.255524,286
59161.208.0.0/13161.208.0.1 to 161.215.255.254161.215.255.255524,286
60161.216.0.0/13161.216.0.1 to 161.223.255.254161.223.255.255524,286
61161.224.0.0/13161.224.0.1 to 161.231.255.254161.231.255.255524,286
62161.232.0.0/13161.232.0.1 to 161.239.255.254161.239.255.255524,286
63161.240.0.0/13161.240.0.1 to 161.247.255.254161.247.255.255524,286
64161.248.0.0/13161.248.0.1 to 161.255.255.254161.255.255.255524,286
65162.0.0.0/13162.0.0.1 to 162.7.255.254162.7.255.255524,286
66162.8.0.0/13162.8.0.1 to 162.15.255.254162.15.255.255524,286
67162.16.0.0/13162.16.0.1 to 162.23.255.254162.23.255.255524,286
68162.24.0.0/13162.24.0.1 to 162.31.255.254162.31.255.255524,286
69162.32.0.0/13162.32.0.1 to 162.39.255.254162.39.255.255524,286
70162.40.0.0/13162.40.0.1 to 162.47.255.254162.47.255.255524,286
71162.48.0.0/13162.48.0.1 to 162.55.255.254162.55.255.255524,286
72162.56.0.0/13162.56.0.1 to 162.63.255.254162.63.255.255524,286
73162.64.0.0/13162.64.0.1 to 162.71.255.254162.71.255.255524,286
74162.72.0.0/13162.72.0.1 to 162.79.255.254162.79.255.255524,286
75162.80.0.0/13162.80.0.1 to 162.87.255.254162.87.255.255524,286
76162.88.0.0/13162.88.0.1 to 162.95.255.254162.95.255.255524,286
77162.96.0.0/13162.96.0.1 to 162.103.255.254162.103.255.255524,286
78162.104.0.0/13162.104.0.1 to 162.111.255.254162.111.255.255524,286
79162.112.0.0/13162.112.0.1 to 162.119.255.254162.119.255.255524,286
80162.120.0.0/13162.120.0.1 to 162.127.255.254162.127.255.255524,286
81162.128.0.0/13162.128.0.1 to 162.135.255.254162.135.255.255524,286
82162.136.0.0/13162.136.0.1 to 162.143.255.254162.143.255.255524,286
83162.144.0.0/13162.144.0.1 to 162.151.255.254162.151.255.255524,286
84162.152.0.0/13162.152.0.1 to 162.159.255.254162.159.255.255524,286
85162.160.0.0/13162.160.0.1 to 162.167.255.254162.167.255.255524,286
86162.168.0.0/13162.168.0.1 to 162.175.255.254162.175.255.255524,286
87162.176.0.0/13162.176.0.1 to 162.183.255.254162.183.255.255524,286
88162.184.0.0/13162.184.0.1 to 162.191.255.254162.191.255.255524,286
89162.192.0.0/13162.192.0.1 to 162.199.255.254162.199.255.255524,286
90162.200.0.0/13162.200.0.1 to 162.207.255.254162.207.255.255524,286
91162.208.0.0/13162.208.0.1 to 162.215.255.254162.215.255.255524,286
92162.216.0.0/13162.216.0.1 to 162.223.255.254162.223.255.255524,286
93162.224.0.0/13162.224.0.1 to 162.231.255.254162.231.255.255524,286
94162.232.0.0/13162.232.0.1 to 162.239.255.254162.239.255.255524,286
95162.240.0.0/13162.240.0.1 to 162.247.255.254162.247.255.255524,286
96162.248.0.0/13162.248.0.1 to 162.255.255.254162.255.255.255524,286
97163.0.0.0/13163.0.0.1 to 163.7.255.254163.7.255.255524,286
98163.8.0.0/13163.8.0.1 to 163.15.255.254163.15.255.255524,286
99163.16.0.0/13163.16.0.1 to 163.23.255.254163.23.255.255524,286
100163.24.0.0/13163.24.0.1 to 163.31.255.254163.31.255.255524,286
101163.32.0.0/13163.32.0.1 to 163.39.255.254163.39.255.255524,286
102163.40.0.0/13163.40.0.1 to 163.47.255.254163.47.255.255524,286
103163.48.0.0/13163.48.0.1 to 163.55.255.254163.55.255.255524,286
104163.56.0.0/13163.56.0.1 to 163.63.255.254163.63.255.255524,286
105163.64.0.0/13163.64.0.1 to 163.71.255.254163.71.255.255524,286
106163.72.0.0/13163.72.0.1 to 163.79.255.254163.79.255.255524,286
107163.80.0.0/13163.80.0.1 to 163.87.255.254163.87.255.255524,286
108163.88.0.0/13163.88.0.1 to 163.95.255.254163.95.255.255524,286
109163.96.0.0/13163.96.0.1 to 163.103.255.254163.103.255.255524,286
110163.104.0.0/13163.104.0.1 to 163.111.255.254163.111.255.255524,286
111163.112.0.0/13163.112.0.1 to 163.119.255.254163.119.255.255524,286
112163.120.0.0/13163.120.0.1 to 163.127.255.254163.127.255.255524,286
113163.128.0.0/13163.128.0.1 to 163.135.255.254163.135.255.255524,286
114163.136.0.0/13163.136.0.1 to 163.143.255.254163.143.255.255524,286
115163.144.0.0/13163.144.0.1 to 163.151.255.254163.151.255.255524,286
116163.152.0.0/13163.152.0.1 to 163.159.255.254163.159.255.255524,286
117163.160.0.0/13163.160.0.1 to 163.167.255.254163.167.255.255524,286
118163.168.0.0/13163.168.0.1 to 163.175.255.254163.175.255.255524,286
119163.176.0.0/13163.176.0.1 to 163.183.255.254163.183.255.255524,286
120163.184.0.0/13163.184.0.1 to 163.191.255.254163.191.255.255524,286
121163.192.0.0/13163.192.0.1 to 163.199.255.254163.199.255.255524,286
122163.200.0.0/13163.200.0.1 to 163.207.255.254163.207.255.255524,286
123163.208.0.0/13163.208.0.1 to 163.215.255.254163.215.255.255524,286
124163.216.0.0/13163.216.0.1 to 163.223.255.254163.223.255.255524,286
125163.224.0.0/13163.224.0.1 to 163.231.255.254163.231.255.255524,286
126163.232.0.0/13163.232.0.1 to 163.239.255.254163.239.255.255524,286
127163.240.0.0/13163.240.0.1 to 163.247.255.254163.247.255.255524,286
128163.248.0.0/13163.248.0.1 to 163.255.255.254163.255.255.255524,286

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses